(function( $ ) {
	wp.customize.bind( 'ready', function() {

		var optPrefix = '#customize-control-adventure_tourism_options-';
		
		// Label
		function adventure_tourism_customizer_label( id, title ) {

			// Site Identity

			if ( id === 'custom_logo' || id === 'site_icon' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Global Color Setting

			if ( id === 'adventure_tourism_global_color' || id === 'adventure_tourism_heading_color' || id === 'adventure_tourism_paragraph_color') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// General Setting

			if ( id === 'adventure_tourism_scroll_hide' || id === 'adventure_tourism_preloader_hide' || id === 'adventure_tourism_sticky_header' || id === 'adventure_tourism_products_per_row' || id === 'adventure_tourism_scroll_top_position' || id === 'adventure_tourism_products_per_row' || id === 'adventure_tourism_width_option' || id === 'adventure_tourism_nav_menu_text_transform')  {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Colors

			if ( id === 'adventure_tourism_theme_color' || id === 'background_color' || id === 'background_image' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Header Image

			if ( id === 'header_image' || id === 'adventure_tourism_post_layout' || id === 'adventure_tourism_404_page_main_heading' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Social Icon

			if ( id === 'adventure_tourism_facebook_icon' || id === 'adventure_tourism_twitter_icon' || id === 'adventure_tourism_intagram_icon'|| id === 'adventure_tourism_linkedin_icon'|| id === 'adventure_tourism_pintrest_icon' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			//  Header
			
			if ( id === 'adventure_tourism_topbar_phone_number' || id === 'adventure_tourism_topbar_email_address' || id === 'adventure_tourism_search_enable') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}


			// Slider

			if ( id === 'adventure_tourism_slider_section_setting' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Products

			if ( id === 'adventure_tourism_categories_section_setting' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Footer

			if ( id === 'adventure_tourism_footer_widget_content_alignment' || id === 'adventure_tourism_show_hide_copyright') {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Post Settings

			if ( id === 'adventure_tourism_post_page_title' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Single Post Settings

			if ( id === 'adventure_tourism_single_post_thumb' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-adventure_tourism_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}
			
		}

	    // Site Identity
		adventure_tourism_customizer_label( 'custom_logo', 'Logo Setup' );
		adventure_tourism_customizer_label( 'site_icon', 'Favicon' );

		// Global Color Setting
		adventure_tourism_customizer_label( 'adventure_tourism_global_color', 'Global Color' );
		adventure_tourism_customizer_label( 'adventure_tourism_heading_color', 'Heading Typography' );
		adventure_tourism_customizer_label( 'adventure_tourism_paragraph_color', 'Paragraph Typography' );

		// General Setting
		adventure_tourism_customizer_label( 'adventure_tourism_preloader_hide', 'Preloader' );
		adventure_tourism_customizer_label( 'adventure_tourism_sticky_header', 'Show Sticky Header' );
		adventure_tourism_customizer_label( 'adventure_tourism_scroll_hide', 'Scroll To Top' );
		adventure_tourism_customizer_label( 'adventure_tourism_scroll_top_position', 'Scroll to top Position' );
		adventure_tourism_customizer_label( 'adventure_tourism_products_per_row', 'woocommerce Setting' );
		adventure_tourism_customizer_label( 'adventure_tourism_width_option', 'Site Width Layouts' );
		adventure_tourism_customizer_label( 'adventure_tourism_nav_menu_text_transform', 'Nav Menus Text Transform' );

		// Colors
		adventure_tourism_customizer_label( 'adventure_tourism_theme_color', 'Theme Color' );
		adventure_tourism_customizer_label( 'background_color', 'Colors' );
		adventure_tourism_customizer_label( 'background_image', 'Image' );

		//Header Image
		adventure_tourism_customizer_label( 'header_image', 'Header Image' );

		adventure_tourism_customizer_label( 'adventure_tourism_post_layout', 'Post Layouts Settings' );

		adventure_tourism_customizer_label( 'adventure_tourism_404_page_main_heading', '404 Page Settings' );

		// Social Icon
		adventure_tourism_customizer_label( 'adventure_tourism_facebook_icon', 'Facebook' );
		adventure_tourism_customizer_label( 'adventure_tourism_twitter_icon', 'Twitter' );
		adventure_tourism_customizer_label( 'adventure_tourism_intagram_icon', 'Intagram' );
		adventure_tourism_customizer_label( 'adventure_tourism_linkedin_icon', 'Linkedin' );
		adventure_tourism_customizer_label( 'adventure_tourism_pintrest_icon', 'Pintrest' );

		// Header 
		adventure_tourism_customizer_label( 'adventure_tourism_topbar_phone_number', 'Phone Number' );
		adventure_tourism_customizer_label( 'adventure_tourism_topbar_email_address', 'Email Address' );
		adventure_tourism_customizer_label( 'adventure_tourism_search_enable', 'Header Search' );

		//Slider
		adventure_tourism_customizer_label( 'adventure_tourism_slider_section_setting', 'Slider' );

		//Products
		adventure_tourism_customizer_label( 'adventure_tourism_categories_section_setting', 'Our Team' );

		//Footer
		adventure_tourism_customizer_label( 'adventure_tourism_footer_widget_content_alignment', 'Footer' );
		adventure_tourism_customizer_label( 'adventure_tourism_show_hide_copyright', 'Copyright' );

		//Post setting
		adventure_tourism_customizer_label( 'adventure_tourism_post_page_title', 'Post Settings' );

		//Single post setting
		adventure_tourism_customizer_label( 'adventure_tourism_single_post_thumb', 'Single Post Settings' );
	

	});

})( jQuery );
